/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.financial.settlement.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.financial.settlement.entity.Corresponding;
import com.jeeplus.modules.test.one.dialog.entity.Leave1;

import java.util.List;

/**
 * 物料对应配置MAPPER接口
 * @author user3
 * @version 2021-04-22
 */
@MyBatisMapper
public interface CorrespondingMapper extends BaseMapper<Corresponding> {
    /**
     * 通过序号，物料编码
     * */
    Integer findChild(Corresponding entity);

    /**
     * 插入字类数据
     * */
    void insertChild(Corresponding entity);

    /**
     * 更新字类数据
     * */
    void updateChild(Corresponding entity);

    /**
     * 字类数据集合
     * @param entity 查询条件
     * */
    List<Corresponding> findChildList(Corresponding entity);

    /**
     * 删除字类
     * */
    void deleteChild(Corresponding entity);

    /**
     * 删除字类
     * */
    void deleteAllChild(Corresponding entity);

    /**
     * 通过序号查询父类是否已经存在
     * */
    Corresponding isNull(Corresponding entity);
}